Locale
Date: 2016-06-24

java.util

## Class Locale

- java.lang.Object
- - java.util.Locale

- All Implemented Interfaces:
    Serializable, Cloneable

      public final class Locale
      extends Object
      implements Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Locale` | `CANADA`
    `static Locale` | `CANADA_FRENCH`
    `static Locale` | `CHINA`
    `static Locale` | `CHINESE`
    `static Locale` | `ENGLISH`
    `static Locale` | `FRANCE`
    `static Locale` | `FRENCH`
    `static Locale` | `GERMAN`
    `static Locale` | `GERMANY`
    `static Locale` | `ITALIAN`
    `static Locale` | `ITALY`
    `static Locale` | `JAPAN`
    `static Locale` | `JAPANESE`
    `static Locale` | `KOREA`
    `static Locale` | `KOREAN`
    `static Locale` | `PRC`
    `static Locale` | `SIMPLIFIED_CHINESE`
    `static Locale` | `TAIWAN`
    `static Locale` | `TRADITIONAL_CHINESE`
    `static Locale` | `UK`
    `static Locale` | `US`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Locale(String var0)`
    `Locale(String var0, String var1)`
    `Locale(String var0, String var1, String var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `static Locale[]` | `getAvailableLocales()`
    `String` | `getCountry()`
    `static Locale` | `getDefault()`
    `String` | `getDisplayCountry()`
    `String` | `getDisplayCountry(Locale var0)`
    `String` | `getDisplayLanguage()`
    `String` | `getDisplayLanguage(Locale var0)`
    `String` | `getDisplayName()`
    `String` | `getDisplayName(Locale var0)`
    `String` | `getDisplayVariant()`
    `String` | `getDisplayVariant(Locale var0)`
    `String` | `getISO3Country()`
    `String` | `getISO3Language()`
    `static String[]` | `getISOCountries()`
    `static String[]` | `getISOLanguages()`
    `String` | `getLanguage()`
    `String` | `getVariant()`
    `static void` | `setDefault(Locale var0)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CANADA

          public static final Locale CANADA

    - #### CANADA_FRENCH

          public static final Locale CANADA_FRENCH

    - #### CHINA

          public static final Locale CHINA

    - #### CHINESE

          public static final Locale CHINESE

    - #### ENGLISH

          public static final Locale ENGLISH

    - #### FRANCE

          public static final Locale FRANCE

    - #### FRENCH

          public static final Locale FRENCH

    - #### GERMAN

          public static final Locale GERMAN

    - #### GERMANY

          public static final Locale GERMANY

    - #### ITALIAN

          public static final Locale ITALIAN

    - #### ITALY

          public static final Locale ITALY

    - #### JAPAN

          public static final Locale JAPAN

    - #### JAPANESE

          public static final Locale JAPANESE

    - #### KOREA

          public static final Locale KOREA

    - #### KOREAN

          public static final Locale KOREAN

    - #### PRC

          public static final Locale PRC

    - #### SIMPLIFIED_CHINESE

          public static final Locale SIMPLIFIED_CHINESE

    - #### TAIWAN

          public static final Locale TAIWAN

    - #### TRADITIONAL_CHINESE

          public static final Locale TRADITIONAL_CHINESE

    - #### UK

          public static final Locale UK

    - #### US

          public static final Locale US

  - ### Constructor Detail

    - #### Locale

          public Locale(String var0)

    - #### Locale

          public Locale(String var0,
                String var1)

    - #### Locale

          public Locale(String var0,
                String var1,
                String var2)

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### getAvailableLocales

          public static Locale[] getAvailableLocales()

    - #### getCountry

          public String getCountry()

    - #### getDefault

          public static Locale getDefault()

    - #### getDisplayCountry

          public final String getDisplayCountry()

    - #### getDisplayCountry

          public String getDisplayCountry(Locale var0)

    - #### getDisplayLanguage

          public final String getDisplayLanguage()

    - #### getDisplayLanguage

          public String getDisplayLanguage(Locale var0)

    - #### getDisplayName

          public final String getDisplayName()

    - #### getDisplayName

          public String getDisplayName(Locale var0)

    - #### getDisplayVariant

          public final String getDisplayVariant()

    - #### getDisplayVariant

          public String getDisplayVariant(Locale var0)

    - #### getISO3Country

          public String getISO3Country()

    - #### getISO3Language

          public String getISO3Language()

    - #### getISOCountries

          public static String[] getISOCountries()

    - #### getISOLanguages

          public static String[] getISOLanguages()

    - #### getLanguage

          public String getLanguage()

    - #### getVariant

          public String getVariant()

    - #### setDefault

          public static void setDefault(Locale var0)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`